<?php

	require("_init.php");
	require("_funcdb.php");
	require("_funcstd.php");
	require("_connect2.php");
	require("_basicshow.class.php");
	require("_login.class.php");

	$login = new gfsoftlogin(1,false);

	if ( $handle = @opendir('./backup/') ) {

		$fileid = 0;
		$daftarfile = '';

		while ( ( $file = @readdir($handle) ) !== false ) {

			if ( substr($file,0,7) === 'gfpoint' ) {

				$tanggaltext = @yyyymmdd2ddmmmyyyy(substr($file,7,8));

				if ( $daftarfile != '' ) {
					$daftarfile = $daftarfile . ', ';
				}

				$fileid = $fileid + 1;

				$daftarfile = $daftarfile . '{id:"' . $fileid . '",keterangan:"Backup ' . $tanggaltext . '",file:"' . $file . '"}' . "\n";

			}

		}

		closedir($handle);

	}

	$outputhtml = new gfbasicshow( "", true, "Restore Data", 460 );
	$outputhtml->tombolmenu = true;

	$outputhtml->headeradd( '<script type="text/javascript">' );
	$outputhtml->headeradd( 'jQuery(document).ready(function(){' );
	$outputhtml->headeradd( '	jQuery("#list").jqGrid({' );
	$outputhtml->headeradd( '		datatype: "local",' );
	$outputhtml->headeradd( '		sortable: true,' );
	$outputhtml->headeradd( '		height: 320,' );
	$outputhtml->headeradd( '		width: 750,' );
	$outputhtml->headeradd( '		mtype: "GET",' );
	$outputhtml->headeradd( '		colNames:[" ","File Backup","Filename"],' );
	$outputhtml->headeradd( '		colModel:[ ' );
	$outputhtml->headeradd( '			{name:"act", index:"act", width:130, sortable:false, align:"center"},' );
	$outputhtml->headeradd( '			{name:"keterangan", index:"keterangan", width:180, align:"left"},' );
	$outputhtml->headeradd( '			{name:"file", file:"file", width:120, align:"left"}, ' );
	$outputhtml->headeradd( '		],' );
	$outputhtml->headeradd( '		scroll:1,' );
	$outputhtml->headeradd( '		rownumbers:true,' );
	$outputhtml->headeradd( '		rownumWidth: 35,' );
	$outputhtml->headeradd( '		rowheight: 30,' );
	$outputhtml->headeradd( '		pager: "#pagerlist",' );
	$outputhtml->headeradd( '		sortname: "file",' );
	$outputhtml->headeradd( '		viewrecords: true,' );
	$outputhtml->headeradd( '		sortorder: "ASC",' );
	$outputhtml->headeradd( '		shrinkToFit: false,' );
	$outputhtml->headeradd( '		gridComplete: function(){ ' );
	$outputhtml->headeradd( '			var ids = jQuery("#list").jqGrid("getDataIDs");' );
	$outputhtml->headeradd( '			for ( var i=0; i < ids.length; i++ ) {' );
	$outputhtml->headeradd( '				var cl = ids[i];' );
	$outputhtml->headeradd( '				be = "<input style=\'height:22px;width:60px;\' type=\'button\' value=\'Restore\' onclick=\'restorebackup(" + cl + ");\'/>";' );
	$outputhtml->headeradd( '				se = "<input style=\'height:22px;width:60px;\' type=\'button\' value=\'Delete\' onclick=\'deletebackup(" + cl + ");\'/>";' );
	$outputhtml->headeradd( '				jQuery("#list").jqGrid("setRowData",ids[i],{act:be+se});' );
	$outputhtml->headeradd( '			}' );
	$outputhtml->headeradd( '		},' );
	$outputhtml->headeradd( '		caption:"List File Backup"' );
	$outputhtml->headeradd( '	});' );
	$outputhtml->headeradd( '	jQuery("#list").jqGrid("navGrid","#pagerlist",' );
	$outputhtml->headeradd( '          {add:false,edit:false,del:false},{},{},{},{});' );
	$outputhtml->headeradd( '	jQuery("#list").jqGrid("navButtonAdd","#pagerlist",{' );
	$outputhtml->headeradd( '			caption: "", buttonicon: "ui-icon-calculator", ' );
	$outputhtml->headeradd( '			onClickButton: function (){' );
	$outputhtml->headeradd( '				jQuery("#list").jqGrid("columnChooser");' );
	$outputhtml->headeradd( '			}' );
	$outputhtml->headeradd( '	});' );
	$outputhtml->headeradd( '	var mydata = [ ' );
	$outputhtml->headeradd( '		' . $daftarfile );
	$outputhtml->headeradd( '		];' );
	$outputhtml->headeradd( '	for ( var i=0; i<=mydata.length; i++ ) {' );
	$outputhtml->headeradd( '		jQuery("#list").jqGrid("addRowData",i+1,mydata[i]);' );
	$outputhtml->headeradd( '	};' );
	$outputhtml->headeradd( '});' );

	$outputhtml->headeradd( 'function restorebackup(recID) {' );
	$outputhtml->headeradd( '   BoxAsk( "Restore?", "Restore file backup tersebut ?", "", restorebackupdo, recID );' );
	$outputhtml->headeradd( '}' );

	$outputhtml->headeradd( 'function restorebackupdo(recID) {' );
	$outputhtml->headeradd( '	var rowData = $("#list").jqGrid("getRowData",recID);' );
	$outputhtml->headeradd( '	$.ajax({' );
	$outputhtml->headeradd( '		type: "POST",' );
	$outputhtml->headeradd( '		url: "restorestart.php",' );
	$outputhtml->headeradd( '		data: "namafile=" + rowData["file"],' );
	$outputhtml->headeradd( '		success: function(response) {' );
	$outputhtml->headeradd( '			if ( response == "1" ) {' );
	$outputhtml->headeradd( '				BoxInfo("Restore","Restore berhasil !","");' );
	$outputhtml->headeradd( '			} else {' );
	$outputhtml->headeradd( '				BoxError(response,"");' );
	$outputhtml->headeradd( '			};' );
	$outputhtml->headeradd( '		},' );
	$outputhtml->headeradd( '		error: function(e){' );
	$outputhtml->headeradd( '			BoxError("Error: " + e,"");' );
	$outputhtml->headeradd( '		}' );
	$outputhtml->headeradd( '	});' );
	$outputhtml->headeradd( '}' );

	$outputhtml->headeradd( 'function deletebackup(recID) {' );
	$outputhtml->headeradd( '   BoxAsk( "Delete?", "Hapus file backup tersebut ?", "", deletebackupdo, recID );' );
	$outputhtml->headeradd( '}' );

	$outputhtml->headeradd( 'function deletebackupdo(recID) {' );
	$outputhtml->headeradd( '	var rowData = $("#list").jqGrid("getRowData",recID);' );
	$outputhtml->headeradd( '	$.ajax({' );
	$outputhtml->headeradd( '		type: "POST",' );
	$outputhtml->headeradd( '		url: "restoredelete.php",' );
	$outputhtml->headeradd( '		data: "namafile=" + rowData["file"],' );
	$outputhtml->headeradd( '		success: function(response) {' );
	$outputhtml->headeradd( '			if ( response == "1" ) {' );
	$outputhtml->headeradd( '				$("#list").jqGrid("delRowData",recID);' );
	$outputhtml->headeradd( '				BoxInfo("Delete","Delete berhasil !","");' );
	$outputhtml->headeradd( '			} else {' );
	$outputhtml->headeradd( '				BoxError(response,"");' );
	$outputhtml->headeradd( '			};' );
	$outputhtml->headeradd( '		},' );
	$outputhtml->headeradd( '		error: function(e){' );
	$outputhtml->headeradd( '			BoxError("Error: " + e,"");' );
	$outputhtml->headeradd( '		}' );
	$outputhtml->headeradd( '	});' );
	$outputhtml->headeradd( '}' );

	$outputhtml->headeradd( '</script>' );

	$outputhtml->bodyadd( '<div id="Browser1" style="margin:0;padding:0;position:absolute;left:10px;top:30px;width:980px;height:400px;" title="">' );
	$outputhtml->bodyadd( '<table id="list">' );
	$outputhtml->bodyadd( '</table>' );
	$outputhtml->bodyadd( '<div id="pagerlist"></div>' );
	$outputhtml->bodyadd( '</div>' );

	$outputhtml->output();

?>